Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.folders.controls
Interface FeedFoldersCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface FeedFoldersCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `FEED_FOLDER` ObjectClass, `Nodes` of that type (wrapped in a `FeedFolder`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FEED_FOLDER`
`static String` | `FIND_ALL`
`static String` | `FIND_ONE`
`static String` | `FIND_URL`
`static String` | `FIND_URL_VIS`

Method Summary
`FeedFolder` | `createFeedFolder(String title, String description, String visibility, String owner, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod, ID parentId, ID[] relatedNodes)` creates the `FEED_FOLDER ObjectClass` and `Node`s of that type (wrapped in an `FeedFolder`) `FEED_FOLDER` extends the `COMMUNITY_CONTENT` ObjectClass
`FeedFolder` | `findByUrl(String url)`
`FeedFolder` | `findByUrl(String url, String visibility, String[] path)` Find with url & visibility
`List<FeedFolder>` | `getAllFolders()`
`FeedFolder` | `getFolder(String title)`
`List<FeedFolder>` | `removeAllFolders()`
`FeedFolder` | `removeByUrl(String url)`
`FeedFolder` | `removeByUrl(String url, String visibility, String[] path)`
`FeedFolder` | `removeFolder(String title)`

Field Detail

### FEED_FOLDER

    static final String FEED_FOLDER

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

### FIND_URL

    static final String FIND_URL

See Also
  Constants Summary

### FIND_URL_VIS

    static final String FIND_URL_VIS

See Also
  Constants Summary

Method Detail

### createFeedFolder

    FeedFolder createFeedFolder(String title,
                                String description,
                                String visibility,
                                String owner,
                                String author,
                                String link,
                                String url,
                                Calendar publicationDate,
                                String language,
                                String imageUrl,
                                long retentionPeriod,
                                ID parentId,
                                ID[] relatedNodes)
                                throws AuthenticationException,
                                       AuthorizationException,
                                       NodeExistsException,
                                       NoSuchObjectClassException,
                                       RepositoryException,
                                       InstantiationException,
                                       IllegalAccessException,
                                       InvocationTargetException,
                                       SQLException,
                                       GSNonUniqueContentException

  creates the `FEED_FOLDER ObjectClass` and `Node`s of that type (wrapped in an `FeedFolder`)

  `FEED_FOLDER` extends the `COMMUNITY_CONTENT` ObjectClass

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

### getFolder

    FeedFolder getFolder(String title)
                         throws InstantiationException,
                                IllegalAccessException,
                                InvocationTargetException,
                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeFolder

    FeedFolder removeFolder(String title)
                            throws InstantiationException,
                                   IllegalAccessException,
                                   InvocationTargetException,
                                   com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                   AuthenticationException,
                                   AuthorizationException,
                                   NoSuchNodeException,
                                   RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getAllFolders

    List<FeedFolder> getAllFolders()
                                   throws InstantiationException,
                                          IllegalAccessException,
                                          InvocationTargetException,
                                          com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                          AuthenticationException,
                                          AuthorizationException,
                                          NoSuchNodeException,
                                          RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeAllFolders

    List<FeedFolder> removeAllFolders()
                                      throws InstantiationException,
                                             IllegalAccessException,
                                             InvocationTargetException,
                                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                             AuthenticationException,
                                             AuthorizationException,
                                             NoSuchNodeException,
                                             RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findByUrl

    FeedFolder findByUrl(String url)
                         throws InstantiationException,
                                IllegalAccessException,
                                InvocationTargetException,
                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findByUrl

    FeedFolder findByUrl(String url,
                         String visibility,
                         String[] path)
                         throws org.apache.beehive.controls.api.ControlException

  Find with url & visibility

  Throws
    `org.apache.beehive.controls.api.ControlException`

### removeByUrl

    FeedFolder removeByUrl(String url)
                           throws InstantiationException,
                                  IllegalAccessException,
                                  InvocationTargetException,
                                  com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                  AuthenticationException,
                                  AuthorizationException,
                                  NoSuchNodeException,
                                  RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeByUrl

    FeedFolder removeByUrl(String url,
                           String visibility,
                           String[] path)
                           throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved